/*

PyVTuneApi - VTune API powered by Python
2007  Bram de Greve <bram.degreve@bramz.net>

http://www.bramz.net/projects-code/pyvtuneapi/

*/

#include <Python.h>
#include <VtuneApi.h>

static PyObject* pyvtuneapi_VTPause(PyObject* module) 
{
	VTPause();
	Py_RETURN_NONE;
}

static PyObject* pyvtuneapi_VTResume(PyObject* module) 
{
	VTResume();
	Py_RETURN_NONE;
}

static PyObject* pyvtuneapi_VTPauseSampling(PyObject* module) 
{
	VTPauseSampling();
	Py_RETURN_NONE;
}

static PyObject* pyvtuneapi_VTResumeSampling(PyObject* module) 
{
	VTResumeSampling();
	Py_RETURN_NONE;
}



static struct PyMethodDef pyvtuneapi_methods[] = 
{
	{"VTPause", (PyCFunction)pyvtuneapi_VTPause, METH_NOARGS, 
		"VTPause() -> None" },
	{"VTResume", (PyCFunction)pyvtuneapi_VTResume, METH_NOARGS, 
		"VTResume() -> None" },
	{"VTPauseSampling", (PyCFunction)pyvtuneapi_VTPauseSampling, METH_NOARGS, 
		"VTPauseSampling() -> None" },
	{"VTResumeSampling", (PyCFunction)pyvtuneapi_VTResumeSampling, METH_NOARGS, 
		"VTResumeSampling() -> None" },
	{NULL}
};


PyMODINIT_FUNC initpyvtuneapi(void)
{
	PyObject* module = Py_InitModule("pyvtuneapi", pyvtuneapi_methods);
	if (!module) return;
}